%define	major 16
%define libname	%mklibname %{name} %{major}
%define develname %mklibname -d %{name}

%define doctarget %{_defaultdocdir}/%{name}-%{version}

Summary:	A lightweight database library
Name:		kyotocabinet
Version:	1.2.76
Release:	%mkrel 1
Group:		Databases
License:	GPLv3
URL:		http://fallabs.com/kyotocabinet/
Source0:	http://fallabs.com/%{name}/pkg/%{name}-%{version}.tar.xz
BuildRequires:	zlib-devel

%description
Kyoto Cabinet is a library of routines for managing a database. The database is
a simple data file containing records, and each record is a pair of a key and a
value.  Every key and value is an array of bytes with variable length. Both
binary data and character strings can be used as a key or a value. There is
neither a concept of tables nor of data types.

%package -n	%{libname}
Summary:	A lightweight database library
Group:		System/Libraries

%description -n	%{libname}
Kyoto Cabinet is a library of routines for managing a database. The database is
a simple data file containing records, and each record is a pair of a key and a
value.  Every key and value is an array of bytes with variable length. Both
binary data and character strings can be used as a key or a value. There is
neither a concept of tables nor of data types.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package	api-doc
Summary:	Development documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description	api-doc
The %{name}-api-doc package contains API documentation for developing
applications that use %{name}.

%prep

%setup -q
sed -i -e 's/ -g0 -O2//' -e 's/ -O0//' configure*

%build
%configure2_5x \
    --disable-static \
    --disable-opt \
    --docdir=%{doctarget}

%make

#%%check <- takes forever...
#make check

%install

%makeinstall_std

rm -rf %{buildroot}%{_libdir}/*.*a

%files
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%doc COPYING ChangeLog README
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files api-doc
%{doctarget}


%changelog
* Mon Nov 11 2013 pinoc <vogtpet at gmail.com> 1.2.76-1pclos2013
imported package